/// <reference path="type/lib/editor/mxDefaultKeyHandler.d.ts" />
/// <reference path="type/lib/editor/mxDefaultPopupMenu.d.ts" />
/// <reference path="type/lib/editor/mxDefaultToolbar.d.ts" />
/// <reference path="type/lib/editor/mxEditor.d.ts" />
/// <reference path="type/lib/handler/mxCellHighlight.d.ts" />
/// <reference path="type/lib/handler/mxCellMarker.d.ts" />
/// <reference path="type/lib/handler/mxCellTracker.d.ts" />
/// <reference path="type/lib/handler/mxConnectionHandler.d.ts" />
/// <reference path="type/lib/handler/mxConstraintHandler.d.ts" />
/// <reference path="type/lib/handler/mxEdgeHandler.d.ts" />
/// <reference path="type/lib/handler/mxEdgeSegmentHandler.d.ts" />
/// <reference path="type/lib/handler/mxElbowEdgeHandler.d.ts" />
/// <reference path="type/lib/handler/mxGraphHandler.d.ts" />
/// <reference path="type/lib/handler/mxHandle.d.ts" />
/// <reference path="type/lib/handler/mxKeyHandler.d.ts" />
/// <reference path="type/lib/handler/mxPanningHandler.d.ts" />
/// <reference path="type/lib/handler/mxPopupMenuHandler.d.ts" />
/// <reference path="type/lib/handler/mxRubberband.d.ts" />
/// <reference path="type/lib/handler/mxSelectionCellsHandler.d.ts" />
/// <reference path="type/lib/handler/mxTooltipHandler.d.ts" />
/// <reference path="type/lib/handler/mxVertexHandler.d.ts" />
/// <reference path="type/lib/io/mxCodec.d.ts" />
/// <reference path="type/lib/io/mxCodecRegistry.d.ts" />
/// <reference path="type/lib/io/mxGenericChangeCodec.d.ts" />
/// <reference path="type/lib/io/mxObjectCodec.d.ts" />
/// <reference path="type/lib/layout/hierarchical/model/mxGraphAbstractHierarchyCell.d.ts" />
/// <reference path="type/lib/layout/hierarchical/model/mxGraphHierarchyEdge.d.ts" />
/// <reference path="type/lib/layout/hierarchical/model/mxGraphHierarchyModel.d.ts" />
/// <reference path="type/lib/layout/hierarchical/model/mxGraphHierarchyNode.d.ts" />
/// <reference path="type/lib/layout/hierarchical/model/mxSwimlaneModel.d.ts" />
/// <reference path="type/lib/layout/hierarchical/stage/mxCoordinateAssignment.d.ts" />
/// <reference path="type/lib/layout/hierarchical/stage/mxHierarchicalLayoutStage.d.ts" />
/// <reference path="type/lib/layout/hierarchical/stage/mxMedianHybridCrossingReduction.d.ts" />
/// <reference path="type/lib/layout/hierarchical/stage/mxMinimumCycleRemover.d.ts" />
/// <reference path="type/lib/layout/hierarchical/stage/mxSwimlaneOrdering.d.ts" />
/// <reference path="type/lib/layout/hierarchical/mxHierarchicalLayout.d.ts" />
/// <reference path="type/lib/layout/hierarchical/mxSwimlaneLayout.d.ts" />
/// <reference path="type/lib/layout/mxCircleLayout.d.ts" />
/// <reference path="type/lib/layout/mxCompactTreeLayout.d.ts" />
/// <reference path="type/lib/layout/mxCompositeLayout.d.ts" />
/// <reference path="type/lib/layout/mxEdgeLabelLayout.d.ts" />
/// <reference path="type/lib/layout/mxFastOrganicLayout.d.ts" />
/// <reference path="type/lib/layout/mxGraphLayout.d.ts" />
/// <reference path="type/lib/layout/mxParallelEdgeLayout.d.ts" />
/// <reference path="type/lib/layout/mxPartitionLayout.d.ts" />
/// <reference path="type/lib/layout/mxRadialTreeLayout.d.ts" />
/// <reference path="type/lib/layout/mxStackLayout.d.ts" />
/// <reference path="type/lib/model/mxCell.d.ts" />
/// <reference path="type/lib/model/mxCellPath.d.ts" />
/// <reference path="type/lib/model/mxGeometry.d.ts" />
/// <reference path="type/lib/util/mxAbstractCanvas2D.d.ts" />
/// <reference path="type/lib/util/mxAnimation.d.ts" />
/// <reference path="type/lib/util/mxAutoSaveManager.d.ts" />
/// <reference path="type/lib/util/mxClipboard.d.ts" />
/// <reference path="type/lib/util/mxConstants.d.ts" />
/// <reference path="type/lib/util/mxDictionary.d.ts" />
/// <reference path="type/lib/util/mxDivResizer.d.ts" />
/// <reference path="type/lib/util/mxDragSource.d.ts" />
/// <reference path="type/lib/util/mxEffects.d.ts" />
/// <reference path="type/lib/util/mxEvent.d.ts" />
/// <reference path="type/lib/util/mxEventObject.d.ts" />
/// <reference path="type/lib/util/mxEventSource.d.ts" />
/// <reference path="type/lib/util/mxForm.d.ts" />
/// <reference path="type/lib/util/mxGuide.d.ts" />
/// <reference path="type/lib/util/mxImageBundle.d.ts" />
/// <reference path="type/lib/util/mxImage.d.ts" />
/// <reference path="type/lib/util/mxImageExport.d.ts" />
/// <reference path="type/lib/util/mxLog.d.ts" />
/// <reference path="type/lib/util/mxMorphing.d.ts" />
/// <reference path="type/lib/util/mxMouseEvent.d.ts" />
/// <reference path="type/lib/util/mxObjectIdentity.d.ts" />
/// <reference path="type/lib/util/mxPanningManager.d.ts" />
/// <reference path="type/lib/util/mxPoint.d.ts" />
/// <reference path="type/lib/util/mxPopupMenu.d.ts" />
/// <reference path="type/lib/util/mxRectangle.d.ts" />
/// <reference path="type/lib/util/mxResources.d.ts" />
/// <reference path="type/lib/util/mxSvgCanvas2D.d.ts" />
/// <reference path="type/lib/util/mxToolbar.d.ts" />
/// <reference path="type/lib/util/mxUndoableEdit.d.ts" />
/// <reference path="type/lib/util/mxUndoManager.d.ts" />
/// <reference path="type/lib/util/mxUrlConverter.d.ts" />
/// <reference path="type/lib/util/mxUtils.d.ts" />
/// <reference path="type/lib/util/mxVmlCanvas2D.d.ts" />
/// <reference path="type/lib/util/mxWindow.d.ts" />
/// <reference path="type/lib/util/mxXmlCanvas2D.d.ts" />
/// <reference path="type/lib/util/mxXmlRequest.d.ts" />
/// <reference path="type/lib/shape/mxActor.d.ts" />
/// <reference path="type/lib/shape/mxArrowConnector.d.ts" />
/// <reference path="type/lib/shape/mxArrow.d.ts" />
/// <reference path="type/lib/shape/mxCloud.d.ts" />
/// <reference path="type/lib/shape/mxConnector.d.ts" />
/// <reference path="type/lib/shape/mxCylinder.d.ts" />
/// <reference path="type/lib/shape/mxDoubleEllipse.d.ts" />
/// <reference path="type/lib/shape/mxEllipse.d.ts" />
/// <reference path="type/lib/shape/mxHexagon.d.ts" />
/// <reference path="type/lib/shape/mxImageShape.d.ts" />
/// <reference path="type/lib/shape/mxLabel.d.ts" />
/// <reference path="type/lib/shape/mxLine.d.ts" />
/// <reference path="type/lib/shape/mxMarker.d.ts" />
/// <reference path="type/lib/shape/mxPolyline.d.ts" />
/// <reference path="type/lib/shape/mxRectangleShape.d.ts" />
/// <reference path="type/lib/shape/mxRhombus.d.ts" />
/// <reference path="type/lib/shape/mxShape.d.ts" />
/// <reference path="type/lib/shape/mxStencil.d.ts" />
/// <reference path="type/lib/shape/mxStencilRegistry.d.ts" />
/// <reference path="type/lib/shape/mxSwimlane.d.ts" />
/// <reference path="type/lib/shape/mxText.d.ts" />
/// <reference path="type/lib/shape/mxTriangle.d.ts" />
/// <reference path="type/lib/view/mxCellEditor.d.ts" />
/// <reference path="type/lib/view/mxCellOverlay.d.ts" />
/// <reference path="type/lib/view/mxCellRenderer.d.ts" />
/// <reference path="type/lib/view/mxCellState.d.ts" />
/// <reference path="type/lib/view/mxCellStatePreview.d.ts" />
/// <reference path="type/lib/view/mxConnectionConstraint.d.ts" />
/// <reference path="type/lib/view/mxEdgeStyle.d.ts" />
/// <reference path="type/lib/view/mxGraph.d.ts" />
/// <reference path="type/lib/view/mxGraphSelectionModel.d.ts" />
/// <reference path="type/lib/view/mxGraphView.d.ts" />
/// <reference path="type/lib/view/mxLayoutManager.d.ts" />
/// <reference path="type/lib/view/mxMultiplicity.d.ts" />
/// <reference path="type/lib/view/mxOutline.d.ts" />
/// <reference path="type/lib/view/mxPerimeter.d.ts" />
/// <reference path="type/lib/view/mxPrintPreview.d.ts" />
/// <reference path="type/lib/view/mxStyleRegistry.d.ts" />
/// <reference path="type/lib/view/mxStylesheet.d.ts" />
/// <reference path="type/lib/view/mxSwimlaneManager.d.ts" />
/// <reference path="type/lib/view/mxTemporaryCellStates.d.ts" />
/// <reference path="type/lib/mxClient.d.ts" />
/// <reference path="type/index.d.ts" />
/// <reference path="type.d.ts" />
/// <reference path="type/lib/model/mxGraphModel.d.ts" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/editor/mxDefaultKeyHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/editor/mxDefaultPopupMenu" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/editor/mxDefaultToolbar" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/editor/mxEditor" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxCellHighlight" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxCellMarker" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxCellTracker" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxConnectionHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxConstraintHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxEdgeHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxEdgeSegmentHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxElbowEdgeHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxGraphHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxHandle" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxKeyHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxPanningHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxPopupMenuHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxRubberband" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxSelectionCellsHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxTooltipHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/handler/mxVertexHandler" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/io/mxCodec" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/io/mxCodecRegistry" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/io/mxGenericChangeCodec" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/io/mxObjectCodec" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/model/mxGraphAbstractHierarchyCell" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/model/mxGraphHierarchyEdge" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/model/mxGraphHierarchyModel" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/model/mxGraphHierarchyNode" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/model/mxSwimlaneModel" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/stage/mxCoordinateAssignment" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/stage/mxHierarchicalLayoutStage" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/stage/mxMedianHybridCrossingReduction" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/stage/mxMinimumCycleRemover" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/stage/mxSwimlaneOrdering" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/mxHierarchicalLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/hierarchical/mxSwimlaneLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/mxCircleLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/mxCompactTreeLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/mxCompositeLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/mxEdgeLabelLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/mxFastOrganicLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/mxGraphLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/mxParallelEdgeLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/mxPartitionLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/mxRadialTreeLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/layout/mxStackLayout" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/model/mxCell" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/model/mxCellPath" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/model/mxGeometry" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxAbstractCanvas2D" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxAnimation" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxAutoSaveManager" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxClipboard" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxConstants" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxDictionary" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxDivResizer" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxDragSource" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxEffects" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxEvent" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxEventObject" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxEventSource" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxForm" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxGuide" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxImageBundle" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxImage" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxImageExport" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxLog" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxMorphing" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxMouseEvent" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxObjectIdentity" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxPanningManager" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxPoint" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxPopupMenu" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxRectangle" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxResources" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxSvgCanvas2D" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxToolbar" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxUndoableEdit" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxUndoManager" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxUrlConverter" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxUtils" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxVmlCanvas2D" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxWindow" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxXmlCanvas2D" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/util/mxXmlRequest" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxActor" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxArrowConnector" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxArrow" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxCloud" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxConnector" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxCylinder" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxDoubleEllipse" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxEllipse" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxHexagon" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxImageShape" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxLabel" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxLine" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxMarker" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxPolyline" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxRectangleShape" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxRhombus" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxShape" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxStencil" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxStencilRegistry" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxSwimlane" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxText" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/shape/mxTriangle" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxCellEditor" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxCellOverlay" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxCellRenderer" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxCellState" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxCellStatePreview" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxConnectionConstraint" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxEdgeStyle" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxGraph" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxGraphSelectionModel" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxGraphView" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxLayoutManager" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxMultiplicity" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxOutline" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxPerimeter" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxPrintPreview" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxStyleRegistry" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxStylesheet" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxSwimlaneManager" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/view/mxTemporaryCellStates" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/mxClient" />
/// <reference types="@typed-mxgraph/typed-mxgraph" />
/// <reference types="@typed-mxgraph/typed-mxgraph/lib/model/mxGraphModel" />
import { mxUndoManager as typeMxUndoManager } from 'mxgraph';
import MyGraph from './graph';
declare const mxEventSource: typeof import("mxgraph").mxEventSource;
export declare class Action {
    action: {
        [k: string]: ActionItem;
    };
    graph: MyGraph;
    undoManager: typeMxUndoManager;
    constructor(graph: MyGraph);
    get(key: string): ActionItem;
    put(key: string, actionItem: ActionItem): void;
    init(): void;
}
export declare class ActionItem extends mxEventSource {
    func: (graph: MyGraph, params: any) => any;
    name: string;
    shortcutKey: string;
    enabled: boolean;
    constructor(func: (graph: MyGraph, params: any) => any, name: string, shortcutKey: string, enabled?: boolean);
    setEnabled(value: boolean): void;
    isEnabled(): boolean;
}
export {};
